@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css");
@import url("https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css");

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
 }
 html {
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
 }

.module {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  height: 100vh;
}

.throbber.sun {
  animation: loading-bg 1s;
  margin-left: -10px;
  margin-right: -10px;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}
.throbber.sun .loading-container {
  transform: translateY(-50%);
  margin-left: 10px;
  min-height: 105px;
  position: absolute;
  top: 50%;
  left: 50%;
}
.throbber.sun .loader {
  margin: 0 auto;
  text-align: center;
  width: 100%;
  min-height: 100%;
  display: table-cell;
  vertical-align: middle;
}
.throbber.sun .loader .spoke-center {
  border-radius: 18px;
  
  height: 10px;
  position: relative;
  left: -21px;
  top: 2px;
  width: 10px;
  font-weight: 700;
}
.throbber.sun .loading-spokes {
  position: relative;
  margin: auto;
  height: 25px;
}
.throbber.sun .loading-spokes .spoke-container {
  position: absolute;
  top: 100%;
  left: calc(50% - 10px * 1.5);
  transform-origin: 50% -60%;
}
.throbber.sun .loading-spokes .spoke-container .spoke {
  -webkit-animation: spoke 1s infinite;
  -moz-animation: spoke 1s infinite;
  -o-animation: spoke 1s infinite;
  animation: spoke 1s infinite;
  animation-delay: inherit;
  background: linear-gradient(0deg,rgba(4, 139, 154, 1) 0%,rgba(0, 184, 233, 1) 100%);
  border-radius: 10px;
  height: 40px;
  width: 10px;
}
.throbber.sun .loading-spokes .spoke-container:nth-of-type(0n + 1) {
  transform: rotate(-90deg);
  animation-delay: -0.875s;
}
.throbber.sun .loading-spokes .spoke-container:nth-of-type(0n + 2) {
  transform: rotate(-45deg);
  animation-delay: -0.75s;
}
.throbber.sun .loading-spokes .spoke-container:nth-of-type(0n + 3) {
  animation-delay: -0.625s;
}
.throbber.sun .loading-spokes .spoke-container:nth-of-type(0n + 4) {
  transform: rotate(45deg);
  animation-delay: -0.5s;
}
.throbber.sun .loading-spokes .spoke-container:nth-of-type(0n + 5) {
  transform: rotate(90deg);
  animation-delay: -0.375s;
}
.throbber.sun .loading-spokes .spoke-container:nth-of-type(0n + 6) {
  transform: rotate(135deg);
  animation-delay: -0.25s;
}
.throbber.sun .loading-spokes .spoke-container:nth-of-type(0n + 7) {
  transform: rotate(180deg);
  animation-delay: -0.125s;
}
.throbber.sun .loading-spokes .spoke-container:nth-of-type(0n + 8) {
  transform: rotate(225deg);
  animation-delay: 0;
}



#loading.fadeIn {
  animation: fadeIn 0.4s ease-out;
}

@keyframes fadeIn {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}


@-webkit-keyframes spoke {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0.1;
  }
}
@-moz-keyframes spoke {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0.1;
  }
}
@-o-keyframes spoke {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0.1;
  }
}
@keyframes spoke {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0.1;
  }
}
@-webkit-keyframes loading-bg {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@-moz-keyframes loading-bg {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@-o-keyframes loading-bg {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes loading-bg {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}





/**************************Progress Bar**************************/
.my-form {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  flex-direction: column; 
  align-items: center;
  z-index: 0;
}

.my-form::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-image: url(images/bg-login-pewoo-1.png);
  background-size: contain;
  background-position: center center;
  background-repeat: no-repeat;
  z-index: -1;
  opacity: 0.1; /* Valeur entre 0 (transparent) et 1 (opaque) */
}

.progress-tip,
.my-form {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  flex-direction: column; 
  align-items: center;
}

.progress-tip img{
  max-width: 200px;
  margin: 20px auto;
  text-align: center;
}

.progress-bar {
  position: relative;
  height: 10px;
  width: 300px;
  background: #f1f1f1;
  border-radius: 25px;
}

.progress-fill {
  position: absolute;
  height: 10px;
  width: 0%;
  animation: progress-forward 3s infinite;
  background: linear-gradient(90deg,rgba(4, 139, 154, 1) 0%,rgba(0, 184, 233, 1) 100%);
  border-radius: 15px;
}

@keyframes progress-forward {
  0% {
    width: 0%;
  }
  25% {
    width: 40%;
  }
  50% {
    width: 65%;
  }
  75% {
    width: 75%;
  }
  100% {
    width: 100%;
  }
} ;




/**************************Login**************************/

img.img-login {
  width: 500px !important;
}
.login h3 {
  font-weight: 200;
  font-size: 16px;
  color: #617087;
  margin-bottom: 2rem;
}
.login .single-input{
  border-top: 1px solid #a8a8a8;
  border-left: 1px solid #a8a8a8;
  border-bottom: 1px solid #a8a8a8;
  width: 400px;
  display: flex;
  margin-bottom: 15px;
  border-radius: 50px;
  transition: all ease-in-out 0.4s;
}
.login .single-input span {
  position: relative;
  margin-top: 10px;
}
.login .single-input i{
  padding: 8px 16px;
  color: #617087;
}
.login .single-input input{
  border-top: 1px solid #a8a8a8;
  border-right: 1px solid #a8a8a8;
  border-left: none;
  border-bottom: 1px solid #a8a8a8;
  width: 100%;
  outline: none;
  height: 40px;
  border-top-left-radius: 0px;
  border-top-right-radius: 50px;
  border-bottom-right-radius: 50px;
  font-size: 18px;
}
.links {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;  
  box-sizing: border-box;
  margin-bottom: 30px;
}
.links .checkbox {
  height: 15px;
  width: 15px;
  margin-right: 5px;
}
.checkbox input[type="radio"] ~ .checkmark {
    border-radius: 50%;
}
.links a {
  display: table-cell;
  padding-top: 15px;
  text-decoration: none;
  color: #617087;
  font-weight: 300;
  font-size: 13px;
}
.btn-cnx {
  background: linear-gradient(90deg,rgba(4, 139, 154, 1) 0%,rgba(0, 184, 233, 1) 100%);
  color: #fff;
  text-transform: uppercase;
  font-weight: 200 !important;
  border-radius: 50px;
  width: 100%;
  height: 40px;
  line-height: 40px;
  text-align: center;
  text-decoration: none !important;
  border: 0px;
  transition: all 0.4s ease-out;
  cursor: pointer;
}
.login .btn-cnx:hover {
  background: linear-gradient(to right,rgba(0, 184, 233, 1) 100%, rgba(4, 139, 154, 1) 0%);
  transition: all 0.4s ease-out;
}



/**************************Dashbord**************************/
.body-app {
  background: linear-gradient(320.1deg, rgba(234, 209, 193, 1) 71%, rgb(255, 255, 255) 100%);
  background-size: 100% 1000%;
  height: 100vh;
  width: 100%;
  overflow-x: hidden;
}

.header-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 3rem 0rem  3rem;
}
.header .logo i,
.header .logo img {
  vertical-align: middle;
}

.header .logo i {
  font-size: 25px;
  color: #000;
}
.header .logo img {
  max-width: 100%;
  width: 120px;
  max-height: 100%;
  margin-left: 5px;
}
.btn-app {
  font-weight: 400;
  font-size: 17px;
  background: linear-gradient(90deg,rgba(4, 139, 154, 1) 0%,rgba(0, 184, 233, 1) 100%);
  color: #fff;
  text-decoration: none;
  padding: 10px 50px;
  margin-left: 30px;
  border-radius: 50px;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  cursor: pointer;
}
.header .icons {
  list-style: none;
  margin: 0;
  padding: 0;
}
.header .icons li {
  display: inline-block;
  margin-right: 12px;
  font-size: 25px;
  cursor: pointer;
}
.header .icons li a {
  color: #000;
}
.header .icons li:last-child {
  margin-right: 0;
}
.header .icons .dropdown-menu {
  position: absolute;
  display: none;
  padding: 1rem;
  right: 3%;
  min-width: 9rem;
  background: linear-gradient(336deg, rgb(234, 209, 193) 17%, rgb(255, 255, 255) 100%);
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.header .icons .dropdown-menu .app i {
  font-size: 25px;
}
.header .icons .dropdown-menu .app h5 {
  font-size: 8px;
}
.header .icons .dropdown-menu .app a {
  text-decoration: none;
}
.header .icons .dropdown-menu li > a {
  text-decoration: none;
  font-size: 15px;
}
.header .icons .dropdown-menu li > a:hover {
  text-decoration: underline !important;
}
.header .icons li.dropdown-list:hover .dropdown-menu {
  display: block;
}
.header .icons a span {
  position: absolute;
  right: 125px;
  top: 30px;
  background: red;
  color: #fff;
  padding: 0px 3px;
  font-size: 8px;
  border-radius: 65%;
}
.header .icons a .notify-bell {
  position: absolute;
  right: 170px;
  background: red;
  color: #fff;
  padding: 0px 3px;
  font-size: 8px;
  border-radius: 65%;
}




.another-link  {
  padding: 0rem 2rem;
}
.another-link .pass{
  text-decoration: none;
  color: #617087 !important;
  font-size: 16px;
  line-height: 28px;
  color: #fff;
  text-transform: uppercase;
}
.another-link .links-op{
  margin-right: 4px;
}
.another-link  a {
  font-size: 25px;
}
.another-link .links-op a i {
  color: #617087;
  margin-right: 14px;
}
.another-link .links-op a i:hover {
  background: #abb5c4;
  color: #fff;
  border-radius: 100%;
  transition-delay: 0.2s;
  transition: ease-in-out;
}


/************BOX*************/

.box-menu {
  background: linear-gradient(336deg, rgb(234, 209, 193) 17%, rgb(255, 255, 255) 100%);
  width: 400px;
  margin: 3.5rem 0rem 2rem  0.5rem;
  padding: 1rem 0px 8rem 1rem;
  border-radius: 10px;
  box-shadow: rgba(56, 60, 63, 0.2) 8px 8px 30px;
}
.box-menu h3.title {
  font-weight: 700;
  font-size: 12px;
  margin-top: 2rem;
  color: #894a27;
}
#navbar h3.title {
  position: relative;
  right: 14px;
  font-weight: 700;
  font-size: 12px;
  margin-top: 2rem;
  color: #894a27;
}



/************Navbar*************/

nav .vertical-menu-logo{
  padding: 0px 20px; 
  font-size: 1.3em; 
  position: relative;
  text-transform: uppercase;
  font-weight: 800;
}
nav .vertical-menu-bottom{
  padding: 0px 20px; 
  position: relative;
  text-transform: uppercase;
  font-weight: 800;
}

.navbar-nav {
  padding-left: 9px !important;
  width: 90%;
}
.navbar-nav, .navbar-nav ul {
  margin:0;
  padding:0;
  list-style:none;
}
.navbar-nav .has-sub,
.navbar-nav .has-sub-another,
.navbar-nav li {
  position:relative;
  z-index:1;
  line-height: 40px;
}
.navbar-nav .has-sub {
  position: relative;
  display:block;
  font-weight: 300;
  border-bottom:1px solid #a04b1d4e;
  padding: 0px 10px;
  text-decoration:none;
  transition:all .3s ease;
}
.navbar-nav li  {
  position: relative;
  display:block;
  font-weight: 300;
}
.navbar-nav .has-sub-another {
  font-weight: 300;
}
.navbar-nav .has-sub::before,
.navbar-nav .has-sub-another::before,
.navbar-nav li::before {
  position: absolute;
  content: "";
  background: #894a27;
  top: 10px;
  right: -30px;
  height: 30px;
  width: 4px;
  display: none;
}

.navbar-nav .has-sub.active::before,
.navbar-nav .has-sub-another.active::before,
.navbar-nav li.active::before {
  display: block;
}

.navbar-nav .has-sub-another {
  display:block;
  padding:5px 10px;
  text-decoration:none;
  transition:all .3s ease;
}


.navbar-nav li {
  padding:5px 10px;
}
.navbar-nav .has-sub a,
.navbar-nav li a {
  text-decoration: none;
  color:#997608;
  font-size: 18px;
}

.navbar-nav .has-sub:last-child {
  border-bottom: 0px solid transparent;
}
.navbar-nav ul {
  position:relative;
  left:0;
  top:-100%;
  z-index:-1;
  max-height:0;
  width:100%;
  overflow:hidden;
  opacity:0;
  transition:all .3s ease;
}
.navbar-nav li.active > ul {
  top:0;
  z-index:2;
  opacity:1;
  width:100%;
  max-height:50em;
  overflow:visible;
  transition:all .3s ease;
}
.navbar-nav a .dropdown{
  position: absolute;
  right: 10px;
  top: 16px;
  transition: 0.3s ease;
  transform: rotate(90deg);
 }

 .navbar-nav .drop-menu {
  padding-left: 30px;
}
.navbar-nav .icon {
  margin-right: 10px;
}
.box-menu.closed .navbar-nav li:hover > .drop-menu {
  display: block;
  width: 115%;
}
.navbar-nav .drop-menu li:hover {
  background: #894a27;
  width: 100%;
  box-sizing: border-box; 
}
.navbar-nav .drop-menu li:hover a {
  color: #fff;
}



/********************BOX Content******************/

.content-flex {
  width: 100%;
}


.breadcrumb {
  list-style: none;
  padding: 0 2rem !important;
  margin: 10px 0;
}
.breadcrumb li {
  display: inline;
  margin-right: 5px;
  font-size: 20px;
}
.breadcrumb li:after {
  content: "/";
  margin-left: 5px;
  margin-right: 5px;
  color: #617087;
}
.breadcrumb li:last-child:after {
  content: none;
}
.breadcrumb a {
  text-decoration: none;
  color: #617087;
  font-weight: 500;
}
.breadcrumb a span {
  font-weight: 300;
}
.breadcrumb a:hover {
color: #617087;
}

.content-flex .bloc {
  padding: 0 2rem;
}
.content-flex .bloc {
  margin-top: 1rem;
}


/* .tips-body {
  margin-top: -30px;
} */








@media (max-width: 575.98px) { 
  .header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background-color: #fff; 
    z-index: 1001;
  }
  .tips-body,
  .header {
    flex-direction: column;
  }
  .btn-app {
    margin-top: 2.7rem;
    margin-left: 15px;
    padding: 5px 45px;
  }
  .btn-app a {
    padding: 5px 35px;
  }
  .box-menu {
    display: none;
  }
  .box-menu.active {
    display: block !important;
    margin: 0rem 0rem 2rem 1rem !important;
    width: 90% !important;
    z-index: 1000;
  }
  .box-menu.active .sidebar-link {
    display: inline-block !important;
  }

  .login .my-form img {
    width: 300px !important;
  }
  .login .single-input {
    width: 320px;
  }
  .login h3  {
    margin-bottom: 2rem;
  }
  .another-link {
    position: fixed;
    bottom: 0;
    width: 100%;
    background-color: #ffffff; 
    padding: 0.3rem;
    z-index: 999;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

  .links {
    flex-direction: column;
  }
  .another-link .links-op {
    position: relative;
    margin-right: 0%;
    top: 0;
  }
  .logo {
    position: relative;
    width: 90px;
  }
  .icons {
    position: absolute;
    bottom: 10px;
    left: 75%;
  }
 
  .header-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
  }
  .header .icons a {
    font-size: 17px;
    top: -4px;
  }
  .header .icons a span,
  .header .icons a .notify-bell  {
    bottom: 8px;
    left: 12px;
  }
  .content-flex {
    margin-top: 0rem;
  }
  .content-flex .bloc,
  .breadcrumb {
    padding: 0 1rem !important;
  }
  .logo a {
    display: flex;
  }
  .logo a i {
    display: block !important;
    color: #000;
    font-weight: 800;
    font-size: 25px;
  }
  .d-mobile {
    display: none;
  }
  .tips-body {
    margin-top: 75px;
  }
  .header .icons .dropdown-menu .app i {
    font-size: 20px;
  }
  .header .icons .dropdown-menu .app h5 > a {
    font-size: 10px;
  }
}


@media (max-width: 767.98px) { 
  
}

@media (max-width: 992px) { 
 
}


@media (max-width: 1200px) { 
  .header .icons {
    display: flex;
  }
}


@media (max-width: 1400px) { 
  .header .icons {
    display: flex;
  }
}

@media (min-width: 1920px) { 
 
}